Subject: [OSPF] Query in NBMA neighbor

From: satya <[email-masked]>
Date: Wed, 09 May 2007 11:42:24 +0530

Hi,

I have a doubt in RFC2328 for NBMA neighbors:

RFC states that we have to create a neighbor when we receive a hello. But on
NBMA interface, we have neighbor state "Attempt" maintained before receiving
a hello. 

So is it that we have to maintain neighbors before receiving hello for NBMA
interfaces using static configuration?

Regarding Poll interval, why can't we increase the default dead interval
time for NBMA neighbors instead of polling?

Regards,

Praveen.

****************************************************************************
***********

            This e-mail and attachments contain confidential information
from HUAWEI, which is intended only for the person or entity whose address
is listed above. Any use of the information contained herein in any way
(including, but not limited to, total or partial disclosure, reproduction,
or dissemination) by persons other than the intended recipient's) is
prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Mon, 14 May 2007 09:13:42 -0400

Hi Praveen,

On May 9, 2007, at 2:12 AM, satya wrote:

> RFC states that we have to create a neighbor when we receive a  
> hello. But on NBMA interface, we have neighbor state “Attempt”  
> maintained before receiving a hello.
>
> So is it that we have to maintain neighbors before receiving hello  
> for NBMA interfaces using static configuration?
Yes.

>
> Regarding Poll interval, why can’t we increase the default dead  
> interval time for NBMA neighbors instead of polling?

Without polling you won't ever bring up an adjacency so this wouldn't  
help. Refer to section 9.5.1 in RFC 2328.

Hope this helps,
Acee

>
> Regards,
>
> Praveen.
>
>
>
>
> ********************************************************************** 
> *****************
>
>             This e-mail and attachments contain confidential  
> information from HUAWEI, which is intended only for the person or  
> entity whose address is listed above. Any use of the information  
> contained herein in any way (including, but not limited to, total  
> or partial disclosure, reproduction, or dissemination) by persons  
> other than the intended recipient's) is prohibited. If you receive  
> this e-mail in error, please notify the sender by phone or email  
> immediately and delete it!
>
>